Sets the license-allocation (claim-based) policy on the entitlement.
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/license-allocation';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"leaseTime":"example","gracePeriod":"example","numberOfSeats":1,"isFloatingLicense":true,"allowOffLineUse":true,"fingerprintingMethod":"example","componentMatchingStrategy":"MatchAll"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/license-allocation \ --header 'Content-Type: application/json' \ --data '{ "leaseTime": "example", "gracePeriod": "example", "numberOfSeats": 1, "isFloatingLicense": true, "allowOffLineUse": true, "fingerprintingMethod": "example", "componentMatchingStrategy": "MatchAll" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Target entitlement.
Request Bodyrequired
Section titled “Request Bodyrequired”Policy payload.
Defines allocation and usage policy for a license: seat limits, lease/grace periods, pooling (floating), transfer capability, offline allowance and fingerprinting method.
object
Duration a seat remains leased before renewal is required.
Extra allowed time after lease expiration before the license is considered invalid.
Maximum number of device activations (seats) allowed.
Indicates if seats are drawn from a shared pool (floating license).
Indicates if a device may continue operating without online validation for a period.
Identifier for the device fingerprinting method used.
Strictness of fingerprint-component matching during activation lookup.
Defaults to ComponentMatchingStrategy.MatchAll (exact-equality).
All four strategies are accepted. The tolerant ones (MatchAny, MatchTwo,
MatchMost) take effect when the client supplies per-component fingerprint
hashes (an SDK node-id provider implementing IComponentNodeIdProvider);
activations without components fall back to exact-fingerprint matching.
Defines allocation and usage policy for a license: seat limits, lease/grace periods, pooling (floating), transfer capability, offline allowance and fingerprinting method.
object
Duration a seat remains leased before renewal is required.
Extra allowed time after lease expiration before the license is considered invalid.
Maximum number of device activations (seats) allowed.
Indicates if seats are drawn from a shared pool (floating license).
Indicates if a device may continue operating without online validation for a period.
Identifier for the device fingerprinting method used.
Strictness of fingerprint-component matching during activation lookup.
Defaults to ComponentMatchingStrategy.MatchAll (exact-equality).
All four strategies are accepted. The tolerant ones (MatchAny, MatchTwo,
MatchMost) take effect when the client supplies per-component fingerprint
hashes (an SDK node-id provider implementing IComponentNodeIdProvider);
activations without components fall back to exact-fingerprint matching.
Defines allocation and usage policy for a license: seat limits, lease/grace periods, pooling (floating), transfer capability, offline allowance and fingerprinting method.
object
Duration a seat remains leased before renewal is required.
Extra allowed time after lease expiration before the license is considered invalid.
Maximum number of device activations (seats) allowed.
Indicates if seats are drawn from a shared pool (floating license).
Indicates if a device may continue operating without online validation for a period.
Identifier for the device fingerprinting method used.
Strictness of fingerprint-component matching during activation lookup.
Defaults to ComponentMatchingStrategy.MatchAll (exact-equality).
All four strategies are accepted. The tolerant ones (MatchAny, MatchTwo,
MatchMost) take effect when the client supplies per-component fingerprint
hashes (an SDK node-id provider implementing IComponentNodeIdProvider);
activations without components fall back to exact-fingerprint matching.
Responses
Section titled “Responses”OK
Bad Request
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}